Bug 1222027 (CVE-2015-0847) - CVE-2015-0847 nbd: nbd-server denial of service due to unsafe signal handlers
Summary: CVE-2015-0847 nbd: nbd-server denial of service due to unsafe signal handlers
Status: CLOSED UPSTREAM
Alias: CVE-2015-0847
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20150507,reported=2...
Keywords: Security
Depends On: 1222029 1222028 1222030
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-15 14:18 UTC by Fabio Olive Leite
Modified: 2019-06-08 20:35 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 02:41:16 UTC


Attachments (Terms of Use)

Description Fabio Olive Leite 2015-05-15 14:18:26 UTC
It was reported that nbd-server in the nbd package does unsafe signal
handling, calling non-reentrant operations from signal handlers and
therefore risking undefined operation and crashes.

References:
http://sourceforge.net/p/nbd/mailman/message/34091218/

Comment 1 Fabio Olive Leite 2015-05-15 14:19:16 UTC
Created nbd tracking bugs for this issue:

Affects: fedora-all [bug 1222028]
Affects: epel-6 [bug 1222029]
Affects: epel-7 [bug 1222030]

Comment 2 Fedora Update System 2015-08-13 16:54:31 UTC
nbd-3.11-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-08-13 16:55:59 UTC
nbd-3.11-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-08-22 19:25:28 UTC
nbd-3.11-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Product Security DevOps Team 2019-06-08 02:41:16 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.